﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace Microsoft.IT.Crm.Utility.CrmSolutionStringReplacement
{
    public class SolutionString : ConfigurationElement
    {
        [ConfigurationProperty("OldValue", DefaultValue = "", IsKey = true, IsRequired = true)]
        public string OldValue
        {
            get
            {
                return ((string)(base["OldValue"]));
            }
            set
            {
                base["OldValue"] = value;
            }
        }

        [ConfigurationProperty("NewValue", DefaultValue = "", IsKey = true, IsRequired = true)]
        public string NewValue
        {
            get
            {
                return ((string)(base["NewValue"]));
            }
            set
            {
                base["NewValue"] = value;
            }
        }
    }
}
