﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace Microsoft.IT.Crm.Utility.CrmSolutionStringReplacement
{
    [ConfigurationCollection(typeof(SolutionString))]
    public class SolutionStringCollection : ConfigurationElementCollection
    {
        protected override ConfigurationElement CreateNewElement()
        {
            return new SolutionString();
        }

        protected override object GetElementKey(ConfigurationElement element)
        {
            return ((SolutionString)(element)).OldValue;
        }

        public SolutionString this[int idx]
        {
            get
            {
                return (SolutionString)BaseGet(idx);
            }
        }
    }
}
